# =================================================================================================
# Permit the developer to override some settings
# =================================================================================================

exists(../user.pri) {
    include(../user.pri)
}

# =================================================================================================
# Pass some configuration variables as macro
# =================================================================================================

DEFINES *= PACKAGE=\\\"$${PACKAGE}\\\"
DEFINES *= VERSION=\\\"$${VERSION_LABEL}\\\"
DEFINES *= VERSION_MAJOR=$${VERSION_MAJOR}
DEFINES *= VERSION_MINOR=$${VERSION_MINOR}
DEFINES *= VERSION_MICRO=$${VERSION_MICRO}
DEFINES *= QT_NO_CAST_FROM_ASCII=1

# =================================================================================================
# Set custom compiler flags
# =================================================================================================

QMAKE_CXXFLAGS *= -Werror=switch

equals(ENABLE_RTTI,yes): QMAKE_CXXFLAGS *= -frtti
else:equals(ENABLE_RTTI,no): QMAKE_CXXFLAGS *= -fno-rtti

unix:CONFIG *= hide_symbols
